# Version 4.0.0

## SQL

### Oracle 

```sql
insert into categorie_privilege(id, code, libelle) 
    select categorie_privilege_id_seq.nextval, 'unicaen-db-import', 'Module unicaen/db-import' from dual;

insert into privilege(id, categorie_id, code, libelle, ordre)
with d(ordre, code, lib) as (
    select 10,  'import-lister',                    'Lister les imports'                             from dual union
    select 20,  'import-consulter',                 'Consulter un import'                            from dual union
    select 30,  'import-lancer',                    'Lancer un import'                               from dual union
    select 40,  'synchro-lister',                   'Lister les synchros'                            from dual union
    select 50,  'synchro-consulter',                'Consulter une synchro'                          from dual union
    select 60,  'synchro-lancer',                   'Lancer une synchro'                             from dual union
    select 70,  'log-lister',                       'Lister les logs'                                from dual union
    select 80,  'log-consulter',                    'Consulter un log'                               from dual union
    select 90,  'observation-lister',               'Lister les observations'                        from dual union
    select 100, 'observation-consulter-resultat',   'Consulter les resultats d''une observation'     from dual
)
select privilege_id_seq.nextval, cp.id, d.code, d.lib, d.ordre
from d
join categorie_privilege cp on cp.code = 'unicaen-db-import'
;
```

### PostgreSQL

```sql
insert into categorie_privilege(id, code, libelle)
    select nextval('categorie_privilege_id_seq'), 'unicaen-db-import', 'Module unicaen/db-import';

insert into privilege(id, categorie_id, code, libelle, ordre)
    with d(ordre, code, lib) as (
        select 10,  'import-lister',                    'Lister les imports'                             union
        select 20,  'import-consulter',                 'Consulter un import'                            union
        select 30,  'import-lancer',                    'Lancer un import'                               union
        select 40,  'synchro-lister',                   'Lister les synchros'                            union
        select 50,  'synchro-consulter',                'Consulter une synchro'                          union
        select 60,  'synchro-lancer',                   'Lancer une synchro'                             union
        select 70,  'log-lister',                       'Lister les logs'                                union
        select 80,  'log-consulter',                    'Consulter un log'                               union
        select 90,  'observation-lister',               'Lister les observations'                        union
        select 100, 'observation-consulter-resultat',   'Consulter les resultats d''une observation'
    )
    select nextval('privilege_id_seq'), cp.id, d.code, d.lib, d.ordre
    from d
join categorie_privilege cp on cp.code = 'unicaen-db-import'
;
```
