<?php

namespace UnicaenDbImport\Domain\Exception;

use Doctrine\DBAL\Connection as DbConnection;
use UnicaenApp\Exception\RuntimeException;
use UnicaenDbImport\Connection\ApiConnection;

class ConnectionException extends RuntimeException
{
    /**
     * @param DbConnection|ApiConnection $connection
     * @return ConnectionException
     */
    public static function unexpected($connection): ConnectionException
    {
        return new static(
            "Type de connexion rencontrée inattendu : " .
            (is_object($connection) ? get_class($connection) : gettype($connection))
        );
    }
}